"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Menu = exports.MenuItem = void 0;
const react_1 = __importDefault(require("react"));
const css_1 = require("@emotion/css");
function MenuItem({ children, selected }) {
    const className = (0, css_1.css) `
    padding: 12px;
    background: ${selected && '#333'};
  `;
    return react_1.default.createElement("div", { className: className }, children);
}
exports.MenuItem = MenuItem;
function Menu({ children, className }) {
    const internalClassName = (0, css_1.css) `
    width: 100%;
    background: #f1f1f1;
  `;
    return react_1.default.createElement("div", { className: (0, css_1.cx)(className, internalClassName) }, children);
}
exports.Menu = Menu;
Menu.Item = MenuItem;
