import React, { PropsWithChildren, ReactElement } from 'react';
import { ICommon } from '../../common/common-interface';
interface ITabsClassNames {
    tabs?: string;
    tab?: string;
    content?: string;
}
export interface ITabs extends ICommon {
    classNames?: ITabsClassNames;
    children: ReactElement<ITabPane>[];
    activeTab?: string;
}
interface ITabPane extends ICommon {
    title: string;
    id: string;
}
declare function Tabs({ className, children, classNames, activeTab }: PropsWithChildren<ITabs>): JSX.Element;
declare namespace Tabs {
    var TabPane: ({ children }: React.PropsWithChildren<ITabPane>) => JSX.Element;
}
export { Tabs };
