import React, { PropsWithChildren } from 'react';
import { ITheme } from './default-theme';
export declare const ThemeContext: React.Context<{
    theme: ITheme;
    css: {
        (template: TemplateStringsArray, ...args: import("@emotion/serialize").CSSInterpolation[]): string;
        (...args: import("@emotion/serialize").CSSInterpolation[]): string;
    };
}>;
interface IThemeProvider {
    theme?: ITheme;
}
export declare function ThemeProvider({ children, theme }: PropsWithChildren<IThemeProvider>): JSX.Element;
export {};
