"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeProvider = exports.ThemeContext = void 0;
const react_1 = __importStar(require("react"));
const css_1 = require("@emotion/css");
const react_2 = require("@emotion/react");
const create_instance_1 = __importDefault(require("@emotion/css/create-instance"));
const default_theme_1 = __importDefault(require("./default-theme"));
exports.ThemeContext = (0, react_1.createContext)({ theme: default_theme_1.default, css: css_1.css });
function ThemeProvider({ children, theme }) {
    const { cache, css } = (0, create_instance_1.default)({
        key: 'ref',
        prepend: true
    });
    const value = (0, react_1.useMemo)(() => ({ theme: theme || default_theme_1.default, css }), [theme]);
    return (react_1.default.createElement(react_2.CacheProvider, { value: cache },
        react_1.default.createElement(exports.ThemeContext.Provider, { value: value }, children)));
}
exports.ThemeProvider = ThemeProvider;
