import { MouseEvent, PropsWithChildren, ReactNode } from 'react';
import { ICommon } from '../../common/common-interface';
interface IButtonClassNames {
    icon?: string;
    text?: string;
}
export interface IButton extends ICommon {
    onClick: (event: MouseEvent<HTMLButtonElement>) => void;
    disabled?: boolean;
    loading?: boolean;
    icon?: ReactNode;
    classNames?: IButtonClassNames;
}
export declare function Button({ icon, className, children, onClick, classNames, disabled, loading }: PropsWithChildren<IButton>): JSX.Element;
export {};
