import { PropsWithChildren } from 'react';
export interface IFlexItem {
    sm?: '1/4' | '1/2';
}
export declare function FlexItem({ children, sm }: PropsWithChildren<IFlexItem>): JSX.Element;
export interface IFlex {
    justify?: 'flex-start' | 'flex-end' | 'center' | 'space-between' | 'space-around' | 'space-evenly' | 'initial' | 'inherit';
    align?: 'flex-start' | 'flex-end' | 'center' | 'baseline' | 'stretch';
    className?: string;
}
export declare function Flex({ children, className, justify, align }: PropsWithChildren<IFlex>): JSX.Element;
export declare namespace Flex {
    var Item: typeof FlexItem;
}
