"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Grid = exports.GridItem = void 0;
const react_1 = __importDefault(require("react"));
const css_1 = require("@emotion/css");
function GridItem({ children }) {
    return react_1.default.createElement("div", null, children);
}
exports.GridItem = GridItem;
function Grid({ children }) {
    const className = (0, css_1.css) `
    display: grid;
  `;
    return react_1.default.createElement("div", { className: className }, children);
}
exports.Grid = Grid;
Grid.Item = GridItem;
