"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const react_1 = __importStar(require("react"));
const css_1 = require("@emotion/css");
const ThemeProvider_1 = require("../../theme/ThemeProvider");
function Input({ value, onChange }) {
    const { theme, css } = (0, react_1.useContext)(ThemeProvider_1.ThemeContext);
    const internalClassName = css `
    background: ${theme.colors.primary.light};
    padding: ${theme.spacing[2]};

    &:hover {
      background: ${theme.colors.primary.dark};
    }

    &:active {
      background: ${theme.colors.primary.light};
    }

    &:focus {
      background: ${theme.colors.primary.light};
    }
  `;
    return (react_1.default.createElement("input", { className: (0, css_1.cx)('ref-input', internalClassName), value: value, onChange: onChange }));
}
exports.Input = Input;
