export interface ITheme {
    spacing: {
        [key: number]: string;
    };
    colors: {
        primary: {
            main: string;
            light: string;
            dark: string;
            text: string;
        };
        secondary: {
            main: string;
            light: string;
            dark: string;
            text: string;
        };
    };
    shape: {
        borderRadius: string;
    };
}
declare const defaultTheme: ITheme;
export default defaultTheme;
